<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_color"
    android:orientation="vertical">

    <include
        layout="@layout/layout_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginEnd="25dp"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/payment_identification"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/payment_identification"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding_large"
                android:layout_weight="1"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/transfer_identification"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/transfer_identification"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="25dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/application_company"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/application_company"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_select"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="25dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/payment_type"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/payment_type"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_select"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="25dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/payment_name"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/payment_name"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_weight="1"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_select"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="25dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:text="@string/payment_notes"
                android:textSize="@dimen/text_size_medium" />

            <com.pan_american.android.util.ScrollEditText
                android:id="@+id/payment_notes"
                android:layout_width="match_parent"
                android:layout_height="120dp"
                android:layout_marginTop="@dimen/common_padding"
                android:background="@drawable/shape_large_edit_text_background"
                android:scrollbars="none" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/common_padding_large"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@color/line_color" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="@dimen/common_padding_large"
        android:background="@color/white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="25dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:text="@string/add_payment_item"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/add_payment_item"
                android:layout_width="@dimen/common_padding_heavy"
                android:layout_height="@dimen/common_padding_heavy"
                android:layout_gravity="center"
                android:src="@mipmap/icon_add_members"
                tools:ignore="ContentDescription" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@color/line_color" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/payment_item_list"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="25dp"
            android:layout_marginEnd="25dp"
            android:layout_weight="1" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/common_padding"
            android:background="@color/background_color"
            android:baselineAligned="false"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="3"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/common_padding"
                    android:text="@string/payment_total"
                    android:textSize="@dimen/text_size_large" />

                <TextView
                    android:id="@+id/payment_total"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/common_padding"
                    android:maxLines="1"
                    android:textSize="@dimen/text_size_large"
                    android:textStyle="bold" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="@dimen/button_height"
                android:layout_margin="@dimen/common_padding"
                android:layout_weight="2"
                android:background="@drawable/shape_corner_solid_blue"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/commit"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="@string/submit"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_size_large"
                    android:textStyle="bold" />

                <ProgressBar
                    android:id="@+id/update_loading"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/common_padding_small"
                    android:indeterminateTint="@color/white"
                    android:visibility="gone" />

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

</LinearLayout>